Subject: Re: CVS commit: pkgsrc/mk
To: Greg Troxel <>
From: Michal Pasternak <>
List: tech-pkg
Date: 02/05/2004 14:12:06
Greg Troxel [Thu, Feb 05, 2004 at 08:08:39AM -0500]:
> 	===> bochs-2.1 is already installed - perhaps an older version?
> 	*** If so, you may use either of:
> 	***  - "make deinstall" and "make reinstall" to upgrade properly
> 	***  - "make update" to rebuild the package and all of its dependencies
> 	***  - "make replace" to replace only the package without re-linking
> 	***    dependencies, risking various problems.
> 	*** Error code 1
> Perhaps the 'If so' line should give the directory in which the user
> should run those commands (and say any instead of either now that
> there are three alternatives presented):
> 	*** If so, you may (in /usr/pkgsrc/emulators/bochs) use any of:

Not exactly true for "update" target - for example, you can "make update"
either gtk2 or a package dependent on gtk2, in both cases gtk2 will be
rebuilt if needed.